forward_list File Reference

Go to the source code of this file.

## Namespaces

namespace | std

## Macros

#define | __glibcxx_want_allocator_traits_is_always_equal
#define | __glibcxx_want_erase_if
#define | __glibcxx_want_incomplete_container_elements
#define | __glibcxx_want_list_remove_return_type
#define | __glibcxx_want_nonmember_container_access
#define | _GLIBCXX_FORWARD_LIST

## Typedefs

template<typename _Tp>
using | std::pmr::forward_list

## Detailed Description

This is a Standard C++ Library header.

Definition in file forward_list.

## Macro Definition Documentation

## __glibcxx_want_allocator_traits_is_always_equal

#define __glibcxx_want_allocator_traits_is_always_equal

Definition at line 48 of file forward_list.

## __glibcxx_want_erase_if

#define __glibcxx_want_erase_if

Definition at line 49 of file forward_list.

## __glibcxx_want_incomplete_container_elements

#define __glibcxx_want_incomplete_container_elements

Definition at line 50 of file forward_list.

## __glibcxx_want_list_remove_return_type

#define __glibcxx_want_list_remove_return_type

Definition at line 51 of file forward_list.

## __glibcxx_want_nonmember_container_access

#define __glibcxx_want_nonmember_container_access

Definition at line 52 of file forward_list.

## _GLIBCXX_FORWARD_LIST

#define _GLIBCXX_FORWARD_LIST

Definition at line 30 of file forward_list.

## Typedef Documentation

## forward_list

template<typename _Tp>

using std::pmr::forward_list

Definition at line 63 of file forward_list.